# OpenLayers.Console

The OpenLayers.Console namespace is used for debugging and error logging. If the Firebug Lite (../Firebug/firebug.js) is included before this script, calls to OpenLayers.Console methods will get redirected to window.console. This makes use of the Firebug extension where available and allows for cross-browser debugging Firebug style.

#### Note

Note that behavior will differ with the Firebug extention and Firebug Lite. Most notably, the Firebug Lite console does not currently allow for hyperlinks to code or for clicking on object to explore their properties.

Summary

OpenLayers.Console | The OpenLayers.Console namespace is used for debugging and error logging.
Functions |
log | Log an object in the console.
debug | Writes a message to the console, including a hyperlink to the line where it was called.
info | Writes a message to the console with the visual “info” icon and color coding and a hyperlink to the line where it was called.
warn | Writes a message to the console with the visual “warning” icon and color coding and a hyperlink to the line where it was called.
error | Writes a message to the console with the visual “error” icon and color coding and a hyperlink to the line where it was called.
userError | A single interface for showing error messages to the user.
assert | Tests that an expression is true.
dir | Prints an interactive listing of all properties of the object.
dirxml | Prints the XML source tree of an HTML or XML element.
trace | Prints an interactive stack trace of JavaScript execution at the point where it is called.
group | Writes a message to the console and opens a nested block to indent all future messages sent to the console.
groupEnd | Closes the most recently opened block created by a call to OpenLayers.Console.group
time | Creates a new timer under the given name.
timeEnd | Stops a timer created by a call to OpenLayers.Console.time(name) and writes the time elapsed.
profile | Turns on the JavaScript profiler.
profileEnd | Turns off the JavaScript profiler and prints its report.
count | Writes the number of times that the line of code where count was called was executed.

### Functions

### log

> log: function()

Log an object in the console. The Firebug Lite console logs string representation of objects. Given multiple arguments, they will be cast to strings and logged with a space delimiter. If the first argument is a string with printf-like formatting, subsequent arguments will be used in string substitution. Any additional arguments (beyond the number substituted in a format string) will be appended in a space- delimited line.

#### Parameters

object | {Object}

### debug

> debug: function()

Writes a message to the console, including a hyperlink to the line where it was called.

May be called with multiple arguments as with OpenLayers.Console.log().

#### Parameters

object | {Object}

### info

> info: function()

Writes a message to the console with the visual “info” icon and color coding and a hyperlink to the line where it was called.

May be called with multiple arguments as with OpenLayers.Console.log().

#### Parameters

object | {Object}

### warn

> warn: function()

Writes a message to the console with the visual “warning” icon and color coding and a hyperlink to the line where it was called.

May be called with multiple arguments as with OpenLayers.Console.log().

#### Parameters

object | {Object}

### error

> error: function()

Writes a message to the console with the visual “error” icon and color coding and a hyperlink to the line where it was called.

May be called with multiple arguments as with OpenLayers.Console.log().

#### Parameters

object | {Object}

### userError

> userError: function( | error | )

A single interface for showing error messages to the user. The default behavior is a Javascript alert, though this can be overridden by reassigning OpenLayers.Console.userError to a different function.

Expects a single error message

#### Parameters

error | {Object}

### assert

> assert: function()

Tests that an expression is true. If not, it will write a message to the console and throw an exception.

May be called with multiple arguments as with OpenLayers.Console.log().

#### Parameters

object | {Object}

### dir

> dir: function()

Prints an interactive listing of all properties of the object. This looks identical to the view that you would see in the DOM tab.

#### Parameters

object | {Object}

### dirxml

> dirxml: function()

Prints the XML source tree of an HTML or XML element. This looks identical to the view that you would see in the HTML tab. You can click on any node to inspect it in the HTML tab.

#### Parameters

object | {Object}

### trace

> trace: function()

Prints an interactive stack trace of JavaScript execution at the point where it is called. The stack trace details the functions on the stack, as well as the values that were passed as arguments to each function. You can click each function to take you to its source in the Script tab, and click each argument value to inspect it in the DOM or HTML tabs.

### group

> group: function()

Writes a message to the console and opens a nested block to indent all future messages sent to the console. Call OpenLayers.Console.groupEnd() to close the block.

May be called with multiple arguments as with OpenLayers.Console.log().

#### Parameters

object | {Object}

### groupEnd

> groupEnd: function()

Closes the most recently opened block created by a call to OpenLayers.Console.group

### time

> time: function()

Creates a new timer under the given name. Call OpenLayers.Console.timeEnd(name) with the same name to stop the timer and print the time elapsed.

#### Parameters

name | {String}

### timeEnd

> timeEnd: function()

Stops a timer created by a call to OpenLayers.Console.time(name) and writes the time elapsed.

#### Parameters

name | {String}

### profile

> profile: function()

Turns on the JavaScript profiler. The optional argument title would contain the text to be printed in the header of the profile report.

This function is not currently implemented in Firebug Lite.

#### Parameters

title | {String} Optional title for the profiler

### profileEnd

> profileEnd: function()

Turns off the JavaScript profiler and prints its report.

This function is not currently implemented in Firebug Lite.

### count

> count: function()

Writes the number of times that the line of code where count was called was executed. The optional argument title will print a message in addition to the number of the count.

This function is not currently implemented in Firebug Lite.

#### Parameters

title | {String} Optional title to be printed with count

> log: function()

Log an object in the console.

> debug: function()

Writes a message to the console, including a hyperlink to the line where it was called.

> info: function()

Writes a message to the console with the visual “info” icon and color coding and a hyperlink to the line where it was called.

> warn: function()

Writes a message to the console with the visual “warning” icon and color coding and a hyperlink to the line where it was called.

> error: function()

Writes a message to the console with the visual “error” icon and color coding and a hyperlink to the line where it was called.

> userError: function( | error | )

A single interface for showing error messages to the user.

> assert: function()

Tests that an expression is true.

> dir: function()

Prints an interactive listing of all properties of the object.

> dirxml: function()

Prints the XML source tree of an HTML or XML element.

> trace: function()

Prints an interactive stack trace of JavaScript execution at the point where it is called.

> group: function()

Writes a message to the console and opens a nested block to indent all future messages sent to the console.

> groupEnd: function()

Closes the most recently opened block created by a call to OpenLayers.Console.group

> time: function()

Creates a new timer under the given name.

> timeEnd: function()

Stops a timer created by a call to OpenLayers.Console.time(name) and writes the time elapsed.

> profile: function()

Turns on the JavaScript profiler.

> profileEnd: function()

Turns off the JavaScript profiler and prints its report.

> count: function()

Writes the number of times that the line of code where count was called was executed.
Close